Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ptr_data Struct Reference

## Data Fields
void * | ptr
long | size
freefunc_t | free
VALUE | wrap [2]

## Detailed Description

Definition at line 23 of file pointer.c.

## Field Documentation

## ◆ free

freefunc_t ptr_data::free

Definition at line 26 of file pointer.c.

## ◆ ptr

void* ptr_data::ptr

Definition at line 24 of file pointer.c.

## ◆ size

long ptr_data::size

Definition at line 25 of file pointer.c.

## ◆ wrap

VALUE ptr_data::wrap[2]

Definition at line 27 of file pointer.c.

The documentation for this struct was generated from the following file:

- ext/fiddle/pointer.c